DefaultUrlMappingData (Grails 6.0.0)

Package: org.grails.web.mapping

## [Java] Class DefaultUrlMappingData

- org.grails.web.mapping.DefaultUrlMappingData

- All Implemented Interfaces and Traits:
    UrlMappingData

      public class DefaultUrlMappingData
      extends java.lang.Object
      implements UrlMappingData

  Default implementating of the UrlMappingData interface.

  Authors:
    Graeme Rocher
  Since:
    0.4

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `private static java.lang.String` | `CAPTURED_DOUBLE_WILDCARD` |
    `private static java.lang.String` | `CAPTURED_WILDCARD` |
    `private static java.lang.String` | `QUESTION_MARK` |
    `private static java.lang.String` | `SLASH` |
    `private boolean` | `hasOptionalExtension` |
    `private java.lang.String[]` | `logicalUrls` |
    `private java.util.List<java.lang.Boolean>` | `optionalTokens` |
    `private java.lang.String[]` | `tokens` |
    `private java.lang.String` | `urlPattern` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `DefaultUrlMappingData (java.lang.String urlPattern)`
    `private DefaultUrlMappingData (java.lang.String urlPattern, java.lang.String[] logicalUrls, java.lang.String[] tokens, java.util.List<java.lang.Boolean> optionalTokens)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `private java.lang.String` | `configureUrlPattern(java.lang.String urlPattern)`
    `` | `public UrlMappingData` | `createRelative(java.lang.String path)`
    `` | `public java.lang.String[]` | `getLogicalUrls()`
    `` | `public java.lang.String[]` | `getTokens()`
    `` | `public java.lang.String` | `getUrlPattern()`
    `` | `public boolean` | `hasOptionalExtension()`
    `` | `public boolean` | `isOptional(int index)`
    `` | `private void` | `parseUrls(java.util.List<java.lang.String> urls, java.lang.String[] tokens, java.util.List<java.lang.Boolean> optionalTokens)`
    `` | `private java.lang.String[]` | `tokenizeUrlPattern(java.lang.String urlPattern)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### private static final java.lang.String CAPTURED_DOUBLE_WILDCARD

    - #### private static final java.lang.String CAPTURED_WILDCARD

    - #### private static final java.lang.String QUESTION_MARK

    - #### private static final java.lang.String SLASH

    - #### private boolean hasOptionalExtension

    - #### private final java.lang.String[] logicalUrls

    - #### private java.util.List<java.lang.Boolean> optionalTokens

    - #### private final java.lang.String[] tokens

    - #### private final java.lang.String urlPattern

  - ### Constructor Detail

    - #### public DefaultUrlMappingData(java.lang.String urlPattern)

    - #### private DefaultUrlMappingData(java.lang.String urlPattern, java.lang.String[] logicalUrls, java.lang.String[] tokens, java.util.List<java.lang.Boolean> optionalTokens)

  - ### Method Detail

    - #### private java.lang.String configureUrlPattern(java.lang.String urlPattern)

    - #### @java.lang.Override public UrlMappingData createRelative(java.lang.String path)

    - #### public java.lang.String[] getLogicalUrls()

    - #### public java.lang.String[] getTokens()

    - #### public java.lang.String getUrlPattern()

    - #### @java.lang.Override public boolean hasOptionalExtension()

    - #### public boolean isOptional(int index)

    - #### private void parseUrls(java.util.List<java.lang.String> urls, java.lang.String[] tokens, java.util.List<java.lang.Boolean> optionalTokens)

    - #### private java.lang.String[] tokenizeUrlPattern(java.lang.String urlPattern)